"use client";
'use strict';

const jsxRuntime = require('react/jsx-runtime');
const context = require('@btst/stack/context');
const index = require('../../localization/index.cjs');
const markdownEditor = require('./markdown-editor.cjs');

function MarkdownEditorWithOverrides(props) {
  const { uploadImage, localization } = context.usePluginOverrides("blog", {
    localization: index.BLOG_LOCALIZATION
  });
  return /* @__PURE__ */ jsxRuntime.jsx(
    markdownEditor.MarkdownEditor,
    {
      ...props,
      uploadImage,
      placeholder: localization?.BLOG_FORMS_EDITOR_PLACEHOLDER
    }
  );
}

exports.MarkdownEditorWithOverrides = MarkdownEditorWithOverrides;
